DWARF_SETERRARG(3) | Library Functions Manual | DWARF_SETERRARG(3)

# NAME

`dwarf_seterrarg`, `dwarf_seterrhand` —
configure error handling

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

Dwarf_Ptr
`dwarf_seterrarg`(Dwarf_Debug dbg, Dwarf_Ptr arg);

Dwarf_Handler
`dwarf_seterrhand`(Dwarf_Debug dbg, Dwarf_Handler handler);

# DESCRIPTION

These functions may be used by applications to configure error handling callbacks. The error handling scheme used by the library is described in dwarf(3).

Function `dwarf_seterrarg`() may be used to set the callback argument passed to a configured error handler at the time it is invoked. Argument arg is the callback argument being set. Argument dbg can be a debug context allocated by a prior call to dwarf_init(3), or can be NULL to indicate that the library-wide callback argument is to be set.

Function `dwarf_seterrhand`() may be used to associate an error handler denoted by argument handler with the DWARF debug context descriptor denoted by argument dbg. Argument dbg should be a debug context allocated by a prior call to dwarf_init(3), or may be NULL to indicate that the library-wide error handler is to be set.

# RETURN VALUES

Function `dwarf_seterrhand`() returns the previous error handler associated with argument dbg. If argument dbg is NULL, function `dwarf_seterrhand`() returns the previous library-wide error handler.

Function `dwarf_seterrarg`() returns the previous callback argument associated with argument dbg. If argument dbg is NULL, function `dwarf_seterrarg`() returns the previous library-wide callback argument.

# COMPATIBILITY

The behavior of these functions when argument dbg is NULL is a local extension.

# ERRORS

These functions do not set an error code.

# SEE ALSO

dwarf(3), dwarf_init(3)

May 01, 2010 | NetBSD 9.4